# EASY-API.TS
A powerful library to create your own API with ease.

![img](https://i.imgur.com/2ksZSBy.jpg)

## Features
- 🚀 Optimized and advanced codes and functions.
- 📝 Easy to learn.
- 📚 Constant updates.
- 🔥 Image manipulation.

## Install
```
npm i easy-api.ts
```

Check documentation [here](https://eats.munlai.me/) and join our [support server](https://discord.gg/fc6n37dCgY).

## Setup
```javascript
const { API } = require('easy-api.ts');

const api = new API({
    port: process.env.PORT || 3000,
    spaces: 2,
    reverseReading: false
});

// Lets load our endpoints...
api.routes.load('./routes').then(() => {
    console.log('Source loaded.')
    api.connect() // Now we're starting the API bcuz the source is ready
});
```

## Route example
```javascript
module.exports = {
    path: '/color',
    code: `
    $ignore[Check docs to see how does functions work ;)]
    $if[$getQuery[hex]==undefined||$isValidHex[$getQuery[hex]]==false;
        $send[400;json;{
            "error": "Invalid hex color code provided"
        }]
        $break $ignore[Now we're breaking it to stop executing the left code]
    ]

    $createCanvas[512;512]
    $color[$getQuery[hex]]
    $drawRect[0;0;512;512]
    $send[200;canvas;$default]
    `
};
```

Made with ❤️ by **Moonlight Group**
