"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionBuilder = void 0;
class FunctionBuilder {
    name;
    extra;
    constructor(data) {
        this.name = data?.name || '';
        this.extra = data?.extra || {};
    }
    setName(name) {
        if (typeof name !== 'string')
            throw new SyntaxError('Invalid name type provided.');
        this.name = "$".concat(name);
        return this;
    }
    setValue(key, value) {
        if (typeof key !== 'string')
            throw new SyntaxError('Invalid key provided.');
        this.extra[key] = value;
        return this;
    }
}
exports.FunctionBuilder = FunctionBuilder;
