"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Compiler = void 0;
class Compiler {
    functions = [];
    regex = null;
    matched = null;
    result = '';
    code;
    constructor(code) {
        this.code = code;
    }
    ;
    set_functions(fns) {
        fns = fns.sort((a, b) => b.length - a.length);
        this.functions = fns;
        this.regex = new RegExp(`(${fns.join('|').replace(/\$/g, '\\$')})`, 'gi');
        return this;
    }
    ;
    set_code(code) {
        return this.code = code;
    }
    ;
    match() {
        if (!this.regex || !this.code)
            return;
        let fns = {}, code = this.code;
        this.code
            ?.match(this.regex)
            ?.reverse()
            ?.map((fn, index) => {
            const splitted = code
                .split(fn)
                .slice(-1)
                .join(''), id = 'FUNCTION_' + index;
            if (splitted.startsWith('[')) {
                let inside = "", n = 0, total;
                for (let char of splitted.slice(1)) {
                    if (char == "]" && n <= 0)
                        break;
                    if (char == "[")
                        inside += char, n++;
                    else if (char == "]" && n > 0)
                        inside += char, n--;
                    else
                        inside += char;
                }
                total = `${fn}[${inside}]`;
                fns[id] = {
                    resolve_fields: () => void 0,
                    resolve_field: () => void 0,
                    fields: inside.split(';').map((f) => ({ value: f.trim(), overs: [] })),
                    name: fn,
                    inside,
                    total,
                    id
                };
                code = code.replaceLast(total, id);
            }
            else {
                fns[id] = {
                    resolve_fields: () => void 0,
                    resolve_field: () => void 0,
                    fields: null,
                    inside: null,
                    total: fn,
                    name: fn,
                    id
                };
                code = code.replaceLast(fn, id);
            }
            ;
        });
        let cloned = fns, array = Object.values(fns);
        array.forEach((fn) => {
            if (!fn.inside || !fn.fields)
                return;
            if (array.some((F) => F.fields?.some((f) => f.overs.some((o) => o.id == fn.id))))
                return delete fns[fn.id];
            fn.fields.forEach((field, index) => {
                let possible_functions = field.value.match(/FUNCTION_\d+/g);
                possible_functions?.forEach((possible_over) => {
                    if (cloned[possible_over]) {
                        fns[fn.id].fields[index].overs.push(cloned[possible_over]);
                        delete fns[possible_over];
                    }
                    ;
                });
            });
        });
        this.result = code;
        return this.matched = fns;
    }
    ;
}
exports.Compiler = Compiler;
;
