"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('addEffect')
        .setValue('description', 'Add an effect to the canvas context.')
        .setValue('use', '$addEffect[name;howmany]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func.name);
        let [name, read] = d.func.fields.map(({ value }) => value);
        if (!name || !read)
            return utils_1.Utils.Warn('Invalid fields provided.', d.func.name);
        if (!['blur', 'brightness', 'contrast', 'grayscale', 'invert', 'saturate', 'sepia']
            .some(t => t === name.unescape()))
            return utils_1.Utils.Warn('Invalid type provided in:', d.func.name);
        if (!utils_1.Utils.isNumber(read))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func.name);
        d._.Canvas.ctx.filter = `${name.unescape()}(${read}${name.unescape() === 'blur' ? 'px' : '%'})`;
        return {
            code: d.code.replace(d.func?.id, '')
        };
    }
};
