"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('and')
        .setValue('description', 'Checks whether all conditions are met, returns true or false.')
        .setValue('use', '$and[...conditions]')
        .setValue('returns', 'boolean'),
    async code(d) {
        await d.func?.resolve_fields(d);
        if (d.func?.fields?.length < 1)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func.name);
        let conditions = d.func.inside.split(';'), result = false;
        if (conditions.every(condition => utils_1.Utils.condition(condition)))
            result = true;
        return {
            code: d.code.replace(d.func.id, `${result}`)
        };
    }
};
