"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
const hjson_1 = require("hjson");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arrayAt')
        .setValue('description', 'Get an element from an array.')
        .setValue('use', '$arrayAt[varname;index]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [id, index] = d.func.fields.map(({ value }) => value.unescape());
        if (!utils_1.Utils.isNumber(index))
            return utils_1.Utils.Warn('Invalid index provided in:', d.func.name);
        let v = (0, hjson_1.parse)(d._.vars?.[id]);
        if (!v || !Array.isArray(v))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, (0, util_1.inspect)(v.at(Number(index) - 1), { depth: 15 }).escape())
        };
    }
};
