"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const _ = tslib_1.__importStar(require("lodash"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arrayFindIndex')
        .setValue('description', 'Finds a text into a array variable, if the text is found, returns its index, otherwise returns 0.')
        .setValue('use', '$arrayFindIndex[varname;query]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid splits provided in:', d.func.name);
        let [id, query] = d.func.fields.map(({ value }) => value);
        let arr = d._.vars?.[id.unescape()];
        if (!arr || !Array.isArray(arr))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        let I = _.findIndex(arr, t => _.isEqual(utils_1.Utils.parse(query.unescape()), t));
        return {
            code: d.code.replace(d.func.id, (I + 1).toString() || '0')
        };
    }
};
