"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const hjson_1 = require("hjson");
const lodash_1 = tslib_1.__importDefault(require("lodash"));
async function solve(fn) {
    if (fn.fields) {
        for (let i = 0; i < fn.fields.length; i++) {
            for (let o of fn.fields[i].overs) {
                await solve(o);
                fn.fields[i].value = fn.fields[i].value.replace(o.id, o.total);
                fn.inside = fn.inside?.replace(o.id, o.total);
                fn.total = fn.total.replace(o.id, o.total);
            }
            ;
        }
        ;
    }
}
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName("arrayForEach")
        .setValue('description', 'Executes a code field for every element of an array.')
        .setValue('use', '$arrayForEach[var;code]')
        .setValue('returns', 'Any'),
    async code(d) {
        await d.interpreter.resolve_field(d, 0);
        if (!d.func?.fields || d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func.name);
        let id = d.func.fields[0].value;
        const arr = (0, hjson_1.parse)(d._.vars?.[id]);
        if (!arr || !Array.isArray(arr))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        await solve(d.func);
        lodash_1.default.forEach(arr, async (element) => {
            let code = d.func.fields[1].value.unescape().replace(/%ITEM%/g, element);
            (d._.vars ??= {})['element'] = element;
            const r = await d.interpreter.parse(code, d.req, d.res, d);
            d.break = !!r?.break;
            d._ = r?._ || d._;
        });
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
