"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const hjson_1 = require("hjson");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arrayJoin')
        .setValue('description', 'Join an array using a separator.')
        .setValue('use', '$arrayJoin[varname;separator]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let [id, separator] = d.func.fields.map(({ value }) => value.unescape());
        let v = (0, hjson_1.parse)(d._.vars?.[id]);
        if (!v || !Array.isArray(v))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, v.join(separator.unescape()).escape())
        };
    }
};
