"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arrayLength')
        .setValue('description', 'Get the length of an array in a variable')
        .setValue('use', '$arrayLength[varname]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        await d.func.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = d._.vars?.[d.func?.inside];
        if (!v || !Array.isArray(v))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, v.length.toString() || '0')
        };
    }
};
