"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const hjson_1 = require("hjson");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arrayPop')
        .setValue('description', 'Removes the last array item and, optionally, returns it.')
        .setValue('use', '$arrayPop[varname;return?]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let [id, returnElement = false] = d.func.fields.map(({ value }) => value.unescape());
        let v = (0, hjson_1.parse)(d._.vars?.[id]);
        if (!v || !Array.isArray(v))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        let pop = v.pop();
        return {
            code: d.code.replace(d.func.id, returnElement ? pop.toString() : '')
        };
    }
};
