"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
const hjson_1 = require("hjson");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('arraySort')
        .setValue('description', 'Sorts an array alphabetically.')
        .setValue('use', '$arraySort[varname]')
        .setValue('returns', 'ArrayLike'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = (0, hjson_1.parse)(d.func?.inside.unescape());
        if (!v || !Array.isArray(v))
            return utils_1.Utils.Warn('Invalid variable/array provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, (0, util_1.inspect)(v.sort(), { depth: 15 }).escape())
        };
    }
};
