"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
async function repeat(fns, params) {
    if (!fns)
        return;
    for (let a = 0; a < fns.length; a++) {
        for (let b = 0; b < params.length; b++) {
            if (fns[a].inside)
                fns[a].inside = fns[a].inside.replaceAll(`%PARAM_${b + 1}%`, params[b]);
            fns[a].total = fns[a].total.replaceAll(`%PARAM_${b + 1}%`, params[b]);
            if (fns[a].fields?.length) {
                for (let c = 0; c < fns[a].fields.length; c++) {
                    fns[a].fields[c].value = fns[a].fields[c].value.replaceAll(`%PARAM_${b + 1}%`, params[b]);
                    if (fns[a].fields[c].overs)
                        await repeat(fns[a].fields[c].overs, params);
                }
            }
        }
    }
}
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('callback')
        .setValue('description', 'Execute a callback using its id and providing custom parameters')
        .setValue('use', '$callback[id;...params?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.total);
        let [name, ...params] = d.func.fields?.map(a => a.value.unescape());
        let f = d._.callbacks?.[name];
        if (!f)
            return utils_1.Utils.Warn('Invalid callback name provided in:', d.func.name);
        let code = f.value.replace(/%PARAM_(\d+)%/g, (_, a) => params[Number(a) - 1]);
        let r = await d.interpreter.parse(code, d.req, d.res, d);
        d.break = !!r?.break;
        d._ = r?._ || d._;
        return {
            code: d.code.replace(d.func.id, r?.code || '')
        };
    }
};
