"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const fs_1 = tslib_1.__importDefault(require("fs"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('createFolder')
        .setValue('description', 'Creates a directory using path as reference.')
        .setValue('use', '$createFolder[path]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside?.unescape())
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        try {
            fs_1.default.mkdirSync(d.func.inside.unescape());
            return {
                code: d.code.replace(d.func.id, '')
            };
        }
        catch (err) {
            return utils_1.Utils.Warn('Error trying to create the folder.', d.func.name);
        }
    }
};
