"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const days = {
    0: "Sunday", 1: "Monday",
    2: "Thursday", 3: "Wednesday",
    4: "Tuesday", 5: "Friday",
    6: "Saturday"
}, months = {
    0: "January", 1: "February",
    2: "March", 3: "April",
    4: "May", 5: "June",
    6: "July", 7: "August",
    8: "September", 9: "October",
    10: "November", 11: "December"
}, dateTypes = {
    now: Date.now(),
    year: new Date().getFullYear(),
    day: days[new Date().getDay()],
    month: months[new Date().getMonth()],
    minutes: new Date().getMinutes(),
    seconds: new Date().getSeconds(),
    hours: new Date().getHours()
};
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('date')
        .setValue('description', 'Get the date in the specified format.')
        .setValue('use', '$date[type]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.fields || d.func?.fields?.length < 1)
            return utils_1.Utils.Warn("Invalid inside provided in: ", d.func.name);
        const [type] = d.func.fields.map(({ value }) => value.unescape());
        if (!(dateTypes[type]))
            return utils_1.Utils.Warn("Invalid type provided in: ", d.func.name);
        return {
            code: d.code.replace(d.func.id, dateTypes[type].toString())
        };
    }
};
