"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const fs_1 = require("fs");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('downloadImage')
        .setValue('description', 'Download a loaded image.')
        .setValue('use', '$downloadImage[id;path(including name and extension)]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (!d.func.fields?.length || d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided.', d.func.name);
        let [id, path] = d.func.fields.map(({ value }) => value);
        let v = d._.Images?.[id]?.src;
        if (!v)
            return utils_1.Utils.Warn('Invalid image ID provided in:', d.func.name);
        (0, fs_1.writeFileSync)(path, v);
        return {
            code: d.code.replace(d.func.id, v?.src ? 'true' : 'false')
        };
    }
};
