"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('env')
        .setValue('description', 'Get an enviorement variable value (You need to authorize that).')
        .setValue('use', '$env[key;authorization(true/false)]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [k, auth] = d.func.fields.map(({ value }) => value);
        if (!utils_1.Utils.booleanify(auth))
            return utils_1.Utils.Warn('Invalid authorization provided in:', d.func.name);
        let result = process.env[k];
        return {
            code: d.code.replace(d.func.id, result?.toString()?.escape() || 'undefined')
        };
    }
};
