"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('fixed')
        .setValue('description', 'Fix a number.')
        .setValue('use', '$fixed[number;fix?]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [number, fix] = d.func?.fields.map(({ value }) => value);
        fix ? fix : fix = '0';
        if (!utils_1.Utils.isNumber(number))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func.name);
        if (!utils_1.Utils.isNumber(fix))
            return utils_1.Utils.Warn('Invalid fix provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, Number(number).toFixed(Number(fix)))
        };
    }
};
