"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('font')
        .setValue('description', 'Set the canvas context text font.')
        .setValue('use', '$font[size;family?;style?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func.name);
        let [size, family, style] = d.func.fields.map(({ value }) => value);
        if (!utils_1.Utils.isNumber(size))
            return utils_1.Utils.Warn('Invalid number size provided in:', d.func.name);
        d._.Canvas.ctx.font = `${style ? style + ' ' : ''}${size}px ${family || 'Arial'}`;
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
