"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('get')
        .setValue('description', 'Get a environment variable value.')
        .setValue('use', '$get[key]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = d._.vars?.[d.func.inside];
        if (typeof v === "object")
            v = (0, util_1.inspect)(v, { depth: 10 });
        else
            v = v?.toString();
        return {
            code: d.code.replace(d.func.id, v?.escape() || 'undefined')
        };
    }
};
