"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const lodash_1 = tslib_1.__importDefault(require("lodash"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getData')
        .setValue('description', 'Get some data from the http request.')
        .setValue('use', '$getData[keys]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let res = lodash_1.default.get(d._.request_data || {}, d.func.inside.unescape());
        let key = (d.func.inside.toLowerCase() === '$default') ? JSON.stringify(d._.request_data, null, 2) : d._.request_data ? typeof res === 'object' ? JSON.stringify(res, null, 2) : res : null;
        return {
            code: d.code.replace(d.func.id, key?.toString()?.escape() || 'undefined')
        };
    }
};
