"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getHeader')
        .setValue('description', 'Get a header value.')
        .setValue('use', '$getHeader[key]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let result = Array.isArray(d.req.headers[d.func.inside]) ? d.req.headers[d.func.inside]?.[0] : d.req.headers[d.func.inside];
        return {
            code: d.code.replace(d.func.id, result?.toString()?.escape() || 'undefined')
        };
    }
};
