"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getVar')
        .setValue('description', 'Get the variable value in the database.')
        .setValue('use', '$getVar[name]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.interpreter.db)
            return utils_1.Utils.Warn('No database set yet, error in:', d.func?.name);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = await d.interpreter.db.get(d.func.inside.unescape());
        return {
            code: d.code.replace(d.func.id, typeof v !== 'object' ? v.escape() : JSON.stringify(v, null, 2).escape() || 'undefined')
        };
    }
};
