"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('hasText')
        .setValue('description', 'Check if the provided text contains provided matches.')
        .setValue('use', '$hasText[string;...elements]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [text, ...has] = d.func.fields.map(({ value }) => value);
        if (!text || !has)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, has.some(s => text.unescape().includes(s.unescape())).toString())
        };
    }
};
