"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('if')
        .setValue('description', 'Check a condition and run a code if its true, or run other code if else')
        .setValue('use', '$if[condition;code;code if else?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.interpreter.resolve_field(d, 0);
        if (!d.func?.fields || 2 > d.func.fields.length)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [condition] = [d.func.fields.map(({ value }) => value)[0], d.func.fields.slice(1).join(';')];
        let result = utils_1.Utils.condition(condition);
        if (result === null)
            return utils_1.Utils.Warn('Invalid condition provided in:', d.func.name);
        if (result) {
            await d.interpreter.resolve_field(d, 1);
        }
        else if (!result && d.func.fields?.[2]) {
            await d.interpreter.resolve_field(d, 2);
        }
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
