"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('isArray')
        .setValue('description', 'Check if a variable is an array')
        .setValue('use', '$isArray[varname]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        await d.func.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = d._.vars?.[d.func.inside.unescape()];
        return {
            code: d.code.replace(d.func.id, (v && Array.isArray(v)).toString())
        };
    }
};
