"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const ms_1 = tslib_1.__importDefault(require("ms"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('parseTime')
        .setValue('description', 'Parse the provided time, if type is number it will return string.')
        .setValue('use', '$parseTime[miliseconds/string;long(true/false)?]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [time, long = 'true'] = d.func.fields.map(({ value }) => value);
        let result = utils_1.Utils.isNumber(d.func.inside) ? (0, ms_1.default)(Number(d.func.inside), { long: utils_1.Utils.booleanify(long) }) : (0, ms_1.default)(d.func.inside);
        return {
            code: d.code.replace(d.func.id, result?.toString() || 'undefined')
        };
    }
};
