"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('random')
        .setValue('description', 'Get a random element from provided fields.')
        .setValue('use', '$random[...items]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.fields?.length)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func?.name);
        let random = Math.floor(Math.random() * d.func.fields.map(({ value }) => value).length);
        return {
            code: d.code.replace(d.func.id, d.func.fields[random].value.escape())
        };
    }
};
