"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('randomNumber')
        .setValue('description', 'Get a random number.')
        .setValue('use', '$randomNumber[min;max]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [min, max] = d.func.fields.map(({ value }) => value);
        if (!utils_1.Utils.isNumber(min) || !utils_1.Utils.isNumber(max))
            return utils_1.Utils.Warn('Invalid numbers provided in:', d.func.name);
        let n = Math.floor(Math.random() * Number(max) - Number(min));
        return {
            code: d.code.replace(d.func.id, n.toString())
        };
    }
};
