"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('removeEffect')
        .setValue('description', 'Remove the current effect from the canvas context.')
        .setValue('use', '$removeEffect')
        .setValue('returns', 'Void'),
    code: async (d) => {
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func?.name);
        d._.Canvas.ctx.filter = 'none';
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
