"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('repeat')
        .setValue('description', 'Repeat a text X times.')
        .setValue('use', '$repeat[text;times]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [txt, num] = d.func.fields.map(({ value }) => value);
        if (!txt || !num)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        if (!utils_1.Utils.isNumber(num))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func.name);
        return {
            code: d.code.replace(d.func.id, txt.unescape().repeat(Number(num)).escape())
        };
    }
};
