"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('replaceRegexp')
        .setValue('description', 'Replace something in the text using RegExp.')
        .setValue('use', '$replaceRegexp[text;regexp;flag;target]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.id);
        if (d.func.fields.length < 4)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let [text, reg, flag, rep] = d.func.fields.map(({ value }) => value);
        if (reg.startsWith('/') && reg.endsWith('/'))
            reg = reg.slice(1, reg.length - 1);
        let rxp = new RegExp(reg.unescape(), flag || 'g');
        return {
            code: d.code.replace(d.func.id, text.unescape().replace(rxp, rep.unescape()).escape())
        };
    }
};
