"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const lodash_1 = tslib_1.__importDefault(require("lodash"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('setObjectKey')
        .setValue('description', 'Set a value to a property in the object.')
        .setValue('use', '$setObjectKey[varname;key;value]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 3)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let obj = d._.vars?.[d.func.fields[0].value.unescape()];
        if (!obj)
            return utils_1.Utils.Warn('No object created found. Use $var first. Error at:', d.func.name);
        if (Array.isArray(obj) || typeof obj !== "object")
            return utils_1.Utils.Warn('Invalid object variable provided, create one using $var. Error at:', d.func.name);
        if (!obj)
            return utils_1.Utils.Warn('No object created found. Use $var first. Error at:', d.func.name);
        lodash_1.default.set(obj, d.func.fields[1].value.unescape(), utils_1.Utils.parse(d.func.fields[2].value.unescape()));
        d._.vars[d.func.fields[0].value] = obj;
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
