"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('setVar')
        .setValue('description', 'Set a variable to the database.')
        .setValue('use', '$setVar[name;value]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.interpreter.db)
            return utils_1.Utils.Warn('No database set yet, error in:', d.func?.name);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [k, v] = d.func.fields.map(({ value }) => value);
        if (!k || !v)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        await d.interpreter.db.set(k.unescape(), utils_1.Utils.loadObject(v.unescape()) || v.unescape());
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
