"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('sleep')
        .setValue('description', 'Sleep a code for a time (wait function).')
        .setValue('use', '$sleep[miliseconds]')
        .setValue('returns', 'Awaitable<Void>'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (!utils_1.Utils.isNumber(d.func.inside))
            return utils_1.Utils.Warn('Invalid miliseconds provided in:', d.func.name);
        await (new Promise(res => setTimeout(res, Number(d.func.inside))));
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
