"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('split')
        .setValue('description', 'Splits a text.')
        .setValue('use', '$split[text;separator]')
        .setValue('returns', 'ArrayLike'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        const splits = d.func.fields.map(({ value }) => value).slice(0, d.func.fields.length - 1).join(';').unescape().split(d.func.fields.at(d.func.fields.length - 1).value).map(s => s.replace('"', '\\"')).map(apetito => utils_1.Utils.parse(apetito));
        return {
            code: d.code.replace(d.func.id, (0, util_1.inspect)(splits, { depth: 15 }).escape())
        };
    }
};
