"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('startsWith')
        .setValue('description', 'Checks if a string starts with the provided match or not.')
        .setValue('use', '$startsWith[text;match]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields?.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func?.name);
        const [text, match] = d.func.fields.map(({ value }) => value);
        return {
            code: d.code.replace(d.func.id, `${text.unescape()?.startsWith(match)}`)
        };
    }
};
