"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('switch')
        .setValue('description', 'Switch between undefined choices.')
        .setValue('use', '$switch[...choices]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let fields = d.func.fields.map(({ value }) => value);
        let result = fields.find(i => !!i && i.trim() !== 'undefined');
        return {
            code: d.code.replace(d.func.id, result?.toString() || 'undefined')
        };
    }
};
