"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('ternary')
        .setValue('description', 'Returns something depending a result condition, anything if true and anything if false.')
        .setValue('use', '$ternary[condition;ifTrue;ifFalse]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 3)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let [condition, iftrue, iffalse] = d.func.fields.map(({ value }) => value);
        let result = utils_1.Utils.condition(condition);
        if (result === null)
            return utils_1.Utils.Warn('Invalid condition provided in', d.func.name);
        return {
            code: d.code.replace(d.func.id, result ? iftrue : iffalse)
        };
    }
};
