"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('timeout')
        .setValue('description', 'Set the max timeout code for this route, that will be executed after X time without a valid response.')
        .setValue('use', '$timeout[miliseconds;code]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.interpreter.resolve_field(d, 0);
        if (!d.func?.fields || 2 > d.func.fields.length)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let [time] = d.func.fields.map(({ value }) => value);
        if (!utils_1.Utils.isNumber(time))
            return utils_1.Utils.Warn('Invalid time provided in:', d.func.name);
        d.res.setTimeout(Number(time), async () => {
            return await d.interpreter.resolve_field(d, 1);
        });
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
