"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('trim')
        .setValue('description', 'Trims a text (remove unnecesary spaces).')
        .setValue('use', '$trim[text]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        return {
            code: d.code.replace(d.func.id, d.func.inside.trim()?.escape() || '')
        };
    }
};
