"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('var')
        .setValue('description', 'Set a new environment variable, to get the value you can use $get.')
        .setValue('use', '$var[name;value]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let [n, v] = d.func.fields.map(({ value }) => value.unescape());
        if (!d._.vars)
            d._.vars = {};
        d._.vars[n] = utils_1.Utils.parse(v);
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
